Supportnet Computer
Planet of Tech

Supportnet / Forum / Skripte(PHP,ASP,Perl...)

Error No GDLIB found





Frage

Hallo, ich erhalte bei der Installation von XT-Commerce unter Windows XP obige Fehlermeldung. Webserver: Apache 2.2.6 PHP: 5.2.4 Wie installiere ich die korrekte GDLIB? Kann mir da jemand weiterhelfen? Danke und Gruß Jens

Antwort 1 von rabies

FAQ PHP via libgd.org

Diese Seite sollte Dir weiterhelfen. Hast Du die Extension allerdings noch nicht auf Deinem System liegen, sei Dir geraten, das Windows ZIP-Paket aus der PHP.net Downloadsektion herunterzuladen. Dort, im Ordner 'ext\' oder 'extensions\' wirst Du dann die 'php_gd.dll' oder 'php_gd2.dll'-Library finden.

--rabies.

Antwort 2 von jsch3

Vielen Dank für deine Antwort.

Ich habe das ausprobiert. Leider ist der Fehler immer noch da.

Ich habe ein Verzeichnis gd-latest-win32 herunter geladen.

Muss dieses Verzeichnis vielleicht noch irgendwo hinterlegt werden?

Antwort 3 von rabies

Dieser Ordner bringt Dir so rein gar nichts.

Noch einmal zurück zu meinem Tipp:

Du musst, wenn Du das ZIP-Paket von PHP.net heruntergeladen hast, die Datei php_gd2.dll in den Ordner 'ext' Deiner PHP-Installation entpacken. Beispielsweise findest Du diese unter '
C:\Programme\PHP\ext
'.

Danach musst Du natürlich noch Deine php.ini-Datei editieren.
Dazu solltest Du folgenden Eintrag hinzufügen:
extension=php_gd2.dll


Es können unter Umständen mehrere php.inis auf Deinem System herumliegen. Wichtig sollte dabei erst einmal nur die in Deinem PHP-Installationsverzeichnis sein.

Nachdem Du dies erledigt hast, musst Du Deinen Apache-Webserver noch neustarten.

--rabies.

Ich möchte kostenlos eine Frage an die Mitglieder stellen:


Ähnliche Themen:


Suche in allen vorhandenen Beiträgen: